PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_slacpy_Tile | ( | PLASMA_enum | uplo,
|  | PLASMA_desc * | A,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_slacpy_Tile - Tile equivalent of PLASMA_slacpy(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | uplo | Specifies the part of the matrix A to be copied to B. = PlasmaUpperLower: All the matrix A = PlasmaUpper: Upper triangular part = PlasmaLower: Lower triangular part
  [in] | A | The M-by-N matrix A. If uplo = PlasmaUpper, only the upper trapezium is accessed; if UPLO = PlasmaLower, only the lower trapezium is accessed.
  [out] | B | The M-by-N matrix B. On exit, B = A in the locations specified by UPLO.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_slacpy
  PLASMA_slacpy_Tile_Async
  PLASMA_clacpy_Tile
  PLASMA_dlacpy_Tile
  PLASMA_slacpy_Tile